EM13c: Apply/Rollback Database Patch is failing with: Perl lib version (5.10.0) doesn't match executable version (v5.14.4) (Doc ID 2142707.1)

Last updated on MARCH 08, 2017

Applies to:

Enterprise Manager for Oracle Database - Version 12.1.0.4.0 and later
Information in this document applies to any platform.

Symptoms

Applying Windows BP for database, patch 22839633, from EM, is failing with:

Patching component oracle.rdbms, 12.1.0.2.0...

Patching component oracle.javavm.client, 12.1.0.2.0...

Patching component oracle.rdbms.dbscripts, 12.1.0.2.0...
Perl lib version (5.10.0) doesn't match executable version (v5.14.4) at F:\app\agent12c\core\12.1.0.4.0/perl/lib/Config.pm line 46.
Compilation failed in require at F:\app\agent12c\core\12.1.0.4.0/perl/lib/File/Copy.pm line 14.
BEGIN failed--compilation aborted at F:\app\agent12c\core\12.1.0.4.0/perl/lib/File/Copy.pm line 14.
Compilation failed in require at F:\app\oracle\12.1.0.2.160419\db\javavm\install\update_javavm_binaries.pl line 62.
BEGIN failed--compilation aborted at F:\app\oracle\12.1.0.2.160419\db\javavm\install\update_javavm_binaries.pl line 62.
Command invocation returned Error... 'Perl lib version (5.10.0) doesn't match executable version (v5.14.4) at F:\app\agent12c\core\12.1.0.4.0/perl/lib/Config.pm line 46.
Compilation failed in require at F:\app\agent12c\core\12.1.0.4.0/perl/lib/File/Copy.pm line 14.
BEGIN failed--compilation aborted at F:\app\agent12c\core\12.1.0.4.0/perl/lib/File/Copy.pm line 14.
Compilation failed in require at F:\app\oracle\12.1.0.2.160419\db\javavm\install\update_javavm_binaries.pl line 62.
BEGIN failed--compilation aborted at F:\app\oracle\12.1.0.2.160419\db\javavm\install\update_javavm_binaries.pl line 62.
', Return Code = 255
Execution of POST script failed, with return value = 255

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms